#!/usr/bin/env python3

from classes.science.plate import Plate
from classes.utils.settings import Settings
from astropy.io.fits import open
from sys import argv as arguments

settings = Settings( arguments[ 1 : ] ) # remove the "main.py" part

hdul  = open( settings.input )
plate = Plate( hdul[0].data )
plate.rotate()

hdul.close()
